activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "arun kethipelly (JIRA)" <j...@apache.org>
Subject [jira] Updated: (AMQ-2714) Apache ActiveMQ is prone to XSS Vulnerability
Date Mon, 26 Apr 2010 21:49:27 GMT

     [ https://issues.apache.org/activemq/browse/AMQ-2714?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

arun kethipelly updated AMQ-2714:
---------------------------------

    Attachment: AMQ_XSS.doc

updated with  the xss screen shot.
screen shot file attached.

> Apache ActiveMQ is prone to XSS Vulnerability
> ---------------------------------------------
>
>                 Key: AMQ-2714
>                 URL: https://issues.apache.org/activemq/browse/AMQ-2714
>             Project: ActiveMQ
>          Issue Type: Bug
>    Affects Versions: 5.3.0, 5.3.1
>         Environment: Windows XP
>            Reporter: arun kethipelly
>            Priority: Critical
>         Attachments: AMQ_XSS.doc
>
>
> Cross-Site Scripting Vulnerability exists in Apache ActiveMQ.
> Example:  http://localhost:8161/admin/ueueBrowse/example.A?view=rss&feedType=<script>alert("ACTIVEMQ")</script>
> Tested on 5.3.1 and 5.3.0 versions.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message